<head>
	<meta charset="utf-8">
	<title>{{ .Title }}</title>

	{{ "<!-- mobile responsive meta -->" | safeHTML }}
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{ with site.Params.description }}{{ . }}{{ end }}{{ end }}">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	
    {{ partial "meta" . }}

	{{ with site.Params.author }}
	<meta name="author" content="{{ . }}">{{ end }}

	{{ "<!-- plugins -->" | safeHTML }}
	{{ range site.Params.plugins.css }}
	<link rel="stylesheet" href="{{ .link | absURL }}">
	{{ end }}

	{{"<!-- Main Stylesheet -->"|safeHTML}}
	{{ $styles := resources.Get "css/style.css" | minify }}
	<link rel="stylesheet" href="{{ $styles.Permalink }}" media="screen">

	{{"<!-- Custom stylesheet - for your changes -->" |safeHTML}}
	{{ $custom := resources.Get "css/custom.css" | minify }}
  <link rel="stylesheet" href="{{ $custom.Permalink }}" media="screen">

    {{ "<!--Favicon-->" | safeHTML }}
  <link rel="shortcut icon" href="{{ `images/favicon.png` | absURL }}" type="image/x-icon">
  <link rel="icon" href="{{ `images/favicon.png` | absURL }}" type="image/x-icon">
  
	{{ with site.Params.google_analytics_id }}
	{{ "<!-- Global Site Tag (gtag.js) - Google Analytics -->" | safeHTML }}
	<script async src="https://www.googletagmanager.com/gtag/js?id={{ . }}"></script>
	<script>
	  window.dataLayer = window.dataLayer || [];
	  function gtag(){dataLayer.push(arguments);}
	  gtag('js', new Date());

	  gtag('config', '{{ . }}');
	</script>
	{{ end }}

	{{ with site.Params.plugins.darkmode }}
	<link disabled id="dark-mode-theme" rel="stylesheet" href="{{ .css_link | absURL }}"></link>
    {{ end }}
</head>
